 % Exercise 33
% Plots of the Mexican Hat on the interval [-3,3] x [-3,3] without the use
% of for loops. Mesh, surf and contour are used. Vectors are used for the
% parameters.
%
%D. T. de Jong 07-12-2014

x = linspace(-3,3,100);
y = linspace(-3,3,100);
[X,Y] = meshgrid(x, y);  % transforms vectors x and y into two-dimensional
                         % arrays X and Y that can be used with dot
                         % operations to compute Z.
Z = (1-X.^2-Y.^2).*exp(-0.5.*(X.^2+Y.^2));    % use dot operations
% Z still must be a matrix!

mesh(x,y,Z) % now with x and y instead of X and Y
xlabel('x')
ylabel('y')
zlabel('z')
title('Mesh of Mexican Hat')

pause                   

surf(x,y,Z) % now with x and y instead of X and Y
xlabel('x')
ylabel('y')
zlabel('z')
title('Surf of Mexican Hat')

pause                      

contour(x,y,Z) % now with x and y instead of X and Y
xlabel('x')
ylabel('y')
zlabel('z')
title('Contour of Mexican Hat')
colorbar       % Added a colorbar 

% Conclusion: the results are indeed the same







